## Memory managment

Memory managment — hooks for defining your own memory managment functions

## Functions

void * | (*IptcMemAllocFunc) ()
void * | (*IptcMemReallocFunc) ()
void | (*IptcMemFreeFunc) ()
IptcMem * | iptc_mem_new ()
void | iptc_mem_ref ()
void | iptc_mem_unref ()
void * | iptc_mem_alloc ()
void * | iptc_mem_realloc ()
void | iptc_mem_free ()
IptcMem * | iptc_mem_new_default ()

## Types and Values

| IptcMem

## Description

## Functions

### IptcMemAllocFunc ()

    void *
    (*IptcMemAllocFunc) (IptcLong Param1);

### IptcMemReallocFunc ()

    void *
    (*IptcMemReallocFunc) (void *Param1,
                           IptcLong Param2);

### IptcMemFreeFunc ()

    void
    (*IptcMemFreeFunc) (void *Param1);

### iptc_mem_new ()

    IptcMem *
    iptc_mem_new (IptcMemAllocFunc Param1,
                  IptcMemReallocFunc Param2,
                  IptcMemFreeFunc Param3);

### iptc_mem_ref ()

    void
    iptc_mem_ref (IptcMem *Param1);

### iptc_mem_unref ()

    void
    iptc_mem_unref (IptcMem *Param1);

### iptc_mem_alloc ()

    void *
    iptc_mem_alloc (IptcMem *Param1,
                    IptcLong Param2);

### iptc_mem_realloc ()

    void *
    iptc_mem_realloc (IptcMem *Param1,
                      void *Param2,
                      IptcLong Param3);

### iptc_mem_free ()

    void
    iptc_mem_free (IptcMem *Param1,
                   void *Param2);

### iptc_mem_new_default ()

    IptcMem *
    iptc_mem_new_default (void);

## Types and Values

### IptcMem

    typedef struct _IptcMem IptcMem;